## logtools 0.13a

=== Makefile ===
# Generated automatically from Makefile.in by configure.

prefix=/home/rjc/debian/logtools-0.13/debian/logtools/usr
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope
CFLAGS=-O2 -g -DNDEBUG ${WFLAGS}
CXX=c++ ${CFLAGS}
LFLAGS=-lstdc++ 

INSTALL=/usr/bin/install -c

EXES=clfmerge logprn funnel clfsplit clfdomainsplit
MAN1=clfmerge.1 logprn.1 funnel.1 clfsplit.1 clfdomainsplit.1

all: $(EXES)

%: %.cpp
	$(CXX) $< -o $@ ${LFLAGS}

install-bin: ${EXES}
	mkdir -p ${prefix}/bin
	${INSTALL} -s ${EXES} ${prefix}/bin

install: install-bin
	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
	${INSTALL} -m 644 ${MAN1} ${prefix}/share/man/man1
	mkdir -p /home/rjc/debian/logtools-0.13/debian/logtools/etc
	${INSTALL} -m 644 clfdomainsplit.cfg /home/rjc/debian/logtools-0.13/debian/logtools/etc

clean:
	rm -f $(EXES) build-stamp install-stamp
	rm -rf debian/tmp core debian/*.debhelper
	rm -f debian/{substvars,files} config.log

realclean: clean
	rm -f configure-stamp config.* Makefile sun/pkginfo logtools.h

## logtools 0.13d

=== debian/control ===
Source: logtools
Section: admin
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: logtools
Architecture: any
Depends: ${shlibs:Depends}
Description: Russell's misc tools for managing log files.
 clfmerge - merge common-log-format web logs in order without sorting (good for
 when you have a gig of logs).
 .
 logprn - like "tail -f" but after a specified time period of inactivity will
 run a program (such as lpr) and pipe the new data to it)
 .
 funnel - pipe one stream of data to several files or processes.
 .
 clfsplit - split CLF format web logs by client IP address.
 .
 clfdomainsplit - split CLF logs by server domain.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=`pwd`/debian/logtools/usr --mandir=\$${prefix}/share/man --sysconfdir=`pwd`/debian/logtools/etc

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/logtools.sgml > logtools.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f config.*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/logtools.
	$(MAKE) install prefix=`pwd`/debian/logtools/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs bulk-virtual-webalizer.txt sample-webalizer.conf
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## logtools 0.13dubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Generated automatically from Makefile.in by configure.
 
-prefix=/home/rjc/debian/logtools-0.13/debian/logtools/usr
+prefix=/home/rjc/debian/logtools-0.13c/debian/logtools/usr
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope
 CFLAGS=-O2 -g -DNDEBUG ${WFLAGS}
 CXX=c++ ${CFLAGS}
@@ -23,8 +23,8 @@
 install: install-bin
 	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
 	${INSTALL} -m 644 ${MAN1} ${prefix}/share/man/man1
-	mkdir -p /home/rjc/debian/logtools-0.13/debian/logtools/etc
-	${INSTALL} -m 644 clfdomainsplit.cfg /home/rjc/debian/logtools-0.13/debian/logtools/etc
+	mkdir -p /home/rjc/debian/logtools-0.13c/debian/logtools/etc
+	${INSTALL} -m 644 clfdomainsplit.cfg /home/rjc/debian/logtools-0.13c/debian/logtools/etc
 
 clean:
 	rm -f $(EXES) build-stamp install-stamp

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: logtools
 Section: admin
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.1.1
-Build-Depends: debhelper
+Build-Depends: debhelper (>= 9)
 
 Package: logtools
 Architecture: any

## logtools 0.13e+nmu1

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 configure: configure-stamp
 configure-stamp:

## logtools 0.13e+nmu2

=== Makefile ===

prefix=/tmp/l/logtools-0.13e/debian/logtools/usr
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope
CFLAGS=-g -DNDEBUG ${WFLAGS}
CXX=g++ ${CFLAGS}
LFLAGS=-lstdc++ 

INSTALL=/usr/bin/install -c

EXES=clfmerge logprn funnel clfsplit clfdomainsplit
MAN1=clfmerge.1 logprn.1 funnel.1 clfsplit.1 clfdomainsplit.1

all: $(EXES)

%: %.cpp
	$(CXX) $< -o $@ ${LFLAGS}

install-bin: ${EXES}
	mkdir -p ${prefix}/bin
	${INSTALL} ${EXES} ${prefix}/bin

install: install-bin
	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
	${INSTALL} -m 644 ${MAN1} ${prefix}/share/man/man1
	mkdir -p /tmp/l/logtools-0.13e/debian/logtools/etc
	${INSTALL} -m 644 clfdomainsplit.cfg /tmp/l/logtools-0.13e/debian/logtools/etc

clean:
	rm -f $(EXES) build-stamp install-stamp
	rm -rf debian/tmp core debian/*.debhelper
	rm -f debian/{substvars,files} config.log

realclean: clean
	rm -f configure-stamp config.* Makefile sun/pkginfo logtools.h

=== sun/Makefile ===

all: pkg

INSTROOT=`pwd`/tmp
PKGNAME=logtools

pkg:
	( cd .. ; ./configure --prefix=/usr --mandir=`pwd`/sun/tmp/usr/share/man )
	make -C .. WFLAGS="-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings"
	make -C .. prefix=${INSTROOT}/usr install
	pkgmk -o -r ${INSTROOT}
	pkgtrans -s spool ${PKGNAME}.pkg ${PKGNAME}
	echo "/var/spool/pkg/${PKGNAME}.pkg complete!"

=== debian/rules ===
--- 
+++ 
@@ -79,5 +79,7 @@
 	dh_md5sums
 	dh_builddeb
 
+build-arch: build
+build-indep: build
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## logtools 0.13e+nmu3

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: logtools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.1.1
 Build-Depends: debhelper (>= 9)

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --prefix=`pwd`/debian/logtools/usr --mandir=\$${prefix}/share/man --sysconfdir=`pwd`/debian/logtools/etc
+	dh_auto_configure -- --prefix=`pwd`/debian/logtools/usr --sysconfdir=`pwd`/debian/logtools/etc
 
 	touch configure-stamp

## logtools 0.13f

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	${INSTALL} ${EXES} ${prefix}/bin
 
 install: install-bin
-	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
+	mkdir -p ${prefix}/share/man/man1
 	${INSTALL} -m 644 ${MAN1} ${prefix}/share/man/man1
 	mkdir -p /tmp/l/logtools-0.13e/debian/logtools/etc
 	${INSTALL} -m 644 clfdomainsplit.cfg /tmp/l/logtools-0.13e/debian/logtools/etc

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: logtools
 Section: admin
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
-Standards-Version: 3.1.1
-Build-Depends: debhelper (>= 9)
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Russell Coker <russell@coker.com.au>,
+           Emmanuel Arias <eamanu@debian.org>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+Homepage: https://doc.coker.com.au/projects/logtools/
+Vcs-Git: https://salsa.debian.org/salvage-team/logtools.git
+Vcs-Browser: https://salsa.debian.org/salvage-team/logtools
 
 Package: logtools
 Architecture: any
-Depends: ${shlibs:Depends}
-Description: Russell's misc tools for managing log files.
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: Russell's misc tools for managing log files
  clfmerge - merge common-log-format web logs in order without sorting (good for
  when you have a gig of logs).
  .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=`pwd`/debian/logtools/usr --sysconfdir=`pwd`/debian/logtools/etc


override_dh_auto_clean:
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	rm -f config.*

	dh_clean


override_dh_auto_install:
	$(MAKE) install prefix=`pwd`/debian/logtools/usr


override_dh_installdocs:
	dh_installdocs bulk-virtual-webalizer.txt sample-webalizer.conf

## logtools 0.13g

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=$(CURDIR)/debian/logtools/usr --sysconfdir=$(CURDIR)/debian/logtools/etc

execute_before_dh_auto_clean:
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	rm -f config.*

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/logtools/usr
